Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface Accessible

All Known Implementing Classes:
  JTextComponent, JSlider, JTree, JTree.AccessibleJTree.AccessibleJTreeNode, JLabel, JInternalFrame, JInternalFrame.JDesktopIcon, JToolTip, JLayeredPane, JDesktopPane, JApplet, JColorChooser, JToolBar, JSeparator, JSplitPane, JMenuItem, JRadioButtonMenuItem, JToggleButton, JCheckBox, JScrollBar, JProgressBar, JViewport, JCheckBoxMenuItem, JMenuBar, JFileChooser, JScrollPane, JPopupMenu, JRadioButton, JWindow, JOptionPane, JRootPane, Box, Box.Filler, JButton, JComboBox, JTabbedPane, JDialog, JMenu, CellRendererPane, JTable, JTable.AccessibleJTable.AccessibleJTableCell, JFrame, JList, JList.AccessibleJList.AccessibleJListChild, JPanel, JTableHeader, JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry

public abstract interface Accessible

Interface Accessible is the main interface for the accessibility package. All components that support the accessibility package must implement this interface. It contains a single method, `getAccessibleContext()`, which returns an instance of the class `AccessibleContext`.

Method Summary
`AccessibleContext` | `getAccessibleContext()` Returns the AccessibleContext associated with this object.

Method Detail

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Returns the AccessibleContext associated with this object. In most cases, the return value should not be null if the object implements interface Accessible. If a component developer creates a subclass of an object that implements Accessible, and that subclass is not Accessible, the developer should override the getAccessibleContext method to return null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.